Last Comment Bug 803322 - mail header won't show
: mail header won't show
Status: RESOLVED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.16
Assigned To: Ian Neal
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 15:46 PDT by party
Modified: 2012-12-11 09:22 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
+
fixed
fixed
fixed


Attachments
screenshot (330.06 KB, image/jpeg)
2012-10-19 05:58 PDT, party
no flags Details
Use getCardForEmail (728 bytes, patch)
2012-11-14 13:49 PST, Ian Neal
neil: review+
jh: approval‑comm‑aurora+
Details | Diff | Splinter Review
Use GetCardForEmail [Checked in: comm-aurora Comment 23, comm-central Comment 24, comm-release Comment 30] (728 bytes, patch)
2012-11-15 14:45 PST, Ian Neal
iann_bugzilla: review+
iann_bugzilla: approval‑comm‑aurora+
philip.chee: approval‑comm‑release+
Details | Diff | Splinter Review

Description party 2012-10-18 15:46:08 PDT
User Agent: Mozilla/5.0 (Windows NT 5.1; WOW64; rv:16.0) Gecko/20121011 Firefox/16.0 SeaMonkey/2.13.1
Build ID: 20121011080919

Steps to reproduce:

tried view - header - all or normal - made no change, nothing shows.  If an attachment is included in the email, then I get the larger gray area showing the attachment on the right, but still no header info showing sender / subject, etc...


Actual results:

seems with the latest update, I no longer have the header showing at the top of the pane for the body of the message.


Expected results:

It should be there
Comment 1 Tony Mechelynck [:tonymec] 2012-10-18 19:09:19 PDT
Mozilla/5.0 (X11; Linux x86_64; rv:19.0) Gecko/19.0 Firefox/19.0 SeaMonkey/2.16a1 ID:20121018003036 c-c:a64aee9cd17e m-c:cb573b9307e5

Hm. Works for me, and it used to work when "trunk" was 2.13a1.

At top left of the header pane, there is a little twisty (alternating between either ▶ and ▼ or ⊞ and ⊟ depending on theme and/or platform); clicking it alternates between one-line headers (Subject, From and Date on one line) or Headers list (name and value each on its own line, either for some usual headers ["Normal"] or for "all" headers). For me that twisty is about 3 mm from both the top and left edges of either the preview pane (in the 3-pane window) or of the message display window (menubar and toolbar excluded, when opening a message in a new window). Does the gray area change when you click around there? Do you see headers in at least one case?

If the above doesn't work, does it work if you run SeaMonkey in Safe Mode (Help → Restart with Add-ons Disabled)?

And if you see no change in Safe Mode, try creating a new profile by following the steps at http://kb.mozillazine.org/Profile_Manager under:
* Accessing the Profile Manager
* Creating a new profile
Since you don't want to lose mail from your mail account, try creating, not a mail account, but a news account (for instance for the news.mozilla.org server, then subscribe to mozilla.support.seamonkey on that server), then see if you get headers for the posts in that newsgroup.
Comment 2 party 2012-10-18 20:53:02 PDT
I don't have that twisty area... I've seen it before, so I know what to look for, but it isn't there.  Safe mode, no change.  Created a new profile, and created a message and saved it under drafts, and the header showed there correctly.  So what is my next step?
Comment 3 party 2012-10-18 20:55:56 PDT
I'm running 2.13.1 version of seamonkey.  In the other profile, the header has the "arrow" style of selection.
Comment 4 Philip Chee 2012-10-18 22:04:36 PDT
Can you attach a screenshot? In the Attachments section there is a "Add an attachment" link.
Comment 5 party 2012-10-19 05:58:51 PDT
Created attachment 673199 [details]
screenshot
Comment 6 Philip Chee 2012-10-19 12:49:44 PDT
Shut down SeaMonkey.
locate localstore.rdf in your SeaMonkey profile and rename or move it somewhere else.
Restart SeaMonkey.
Does the header section show up?
Comment 7 therube 2012-10-25 15:57:57 PDT
Error console show anything relevant?
 
 
Similar sounding issue here, http://forums.mozillazine.org/viewtopic.php?f=40&t=2581559
localstore.rdf was also mentioned, but was not effective in fixing.
Comment 8 party 2012-10-31 10:40:05 PDT
I renamed localstore.rdf, but it made no difference, and seamonkey did not write a replacement file.  Is there a way to create a new profile and load in my existing mail?

I did make another profile, and it appears that the headers there do show, but I can't loose all my info on the profile that doesn't have headers.
Comment 9 party 2012-10-31 10:41:59 PDT
don't know how to access the error console.
Comment 10 party 2012-10-31 12:00:14 PDT
I created a new profile and then just copy/paste my old profile files into the new one, and same thing... no headers.  So it would appear that one of the files inside the profile are at fault, not something in the program files.
Comment 11 Tony Mechelynck [:tonymec] 2012-11-01 01:11:16 PDT
(In reply to party from comment #9)
> don't know how to access the error console.

There is a menu item to open it, usually "Tools → Error Console" or "Tools → Web Development → Error Console". Sometimes it is (or was) called "JavaScript Console". See https://developer.mozilla.org/en-US/docs/Error_Console for details.
Comment 12 party 2012-11-12 13:49:17 PST
Timestamp: 11/12/2012 4:42:01 PM
Error: ReferenceError: getCardForAddress is not defined
Source File: chrome://messenger/content/msgHdrViewOverlay.js
Line: 1114
Comment 13 party 2012-11-12 13:51:34 PST
Could not read chrome manifest 'file:///C:/Users/Gordon/AppData/Roaming/Mozilla/SeaMonkey/Profiles/gwti95zj.slt/extensions/en-CA@dictionaries.addons.mozilla.org/chrome.manifest'.


Timestamp: 11/12/2012 4:48:03 PM
Warning: Use of Mutation Events is deprecated. Use MutationObserver instead.
Source File: chrome://messenger/content/msgMail3PaneWindow.js
Line: 1001
Comment 14 Philip Chee 2012-11-13 10:50:20 PST
> Timestamp: 11/12/2012 4:42:01 PM
> Error: ReferenceError: getCardForAddress is not defined
> Source File: chrome://messenger/content/msgHdrViewOverlay.js
> Line: 1114

Regression caused by Bug 131571 - [RFE] when clicking on a mail adress that is already in the adressbook the option should be "edit address book entry", not "add to address book"

One instance of getCardForAddress() was not changed to GetCardForEmail()
Comment 15 party 2012-11-14 10:09:19 PST
any ideas how to get my headers back?  I think there must be an error in my .js file.
Comment 16 Ian Neal 2012-11-14 13:49:39 PST
Created attachment 681683 [details] [diff] [review]
Use getCardForEmail

[Approval Request Comment]
Regression caused by (bug #): 131571
User impact if declined: mail header won't show in certain circumstances
Testing completed (on m-c, etc.): against c-c
Risk to taking this patch (and alternatives if risky): none
String changes made by this patch: none
Comment 17 party 2012-11-14 14:03:54 PST
what do I do with this?
Comment 18 Tony Mechelynck [:tonymec] 2012-11-14 15:00:13 PST
(In reply to party from comment #17)
> what do I do with this?

Nothing yet. Once the bug is FIXED for the code branch you're using (2.13.x stable I suppose), install a build compiled after the landing of the fix, see if the bug has disappeared, and report the results here.
Comment 19 Jens Hatlak (:InvisibleSmiley) 2012-11-14 23:14:21 PST
Comment on attachment 681683 [details] [diff] [review]
Use getCardForEmail

I fear it's already too late for beta, but I'll let Callek decide that.

I'd set tracking-seamonkey2.14+ so it could be picked up for a possible minor release, but somehow all the relevant flags are missing on this bug (for me). Can someone check this please?
Comment 20 Jens Hatlak (:InvisibleSmiley) 2012-11-14 23:17:26 PST
(In reply to Jens Hatlak (:InvisibleSmiley) from comment #19)
> I'd set tracking-seamonkey2.14+ so it could be picked up for a possible
> minor release, but somehow all the relevant flags are missing on this bug
> (for me). Can someone check this please?

Forget this part; it seems Bz doesn't like people trying to work in parallel. :-/
Comment 21 neil@parkwaycc.co.uk 2012-11-15 05:13:25 PST
Comment on attachment 681683 [details] [diff] [review]
Use getCardForEmail

Don't you mean GetCardForEmail? r=me with that fixed.
Comment 22 Ian Neal 2012-11-15 14:45:43 PST
Created attachment 682203 [details] [diff] [review]
Use GetCardForEmail [Checked in: comm-aurora Comment 23, comm-central Comment 24, comm-release Comment 30]

[Triage Comment]

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: 
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky):
String changes made by this patch:
Comment 23 Ian Neal 2012-11-15 14:46:18 PST
Comment on attachment 682203 [details] [diff] [review]
Use GetCardForEmail [Checked in: comm-aurora Comment 23, comm-central Comment 24, comm-release Comment 30]

http://hg.mozilla.org/releases/comm-aurora/rev/90b86c07abad
Comment 24 Ian Neal 2012-11-17 14:12:02 PST
Comment on attachment 682203 [details] [diff] [review]
Use GetCardForEmail [Checked in: comm-aurora Comment 23, comm-central Comment 24, comm-release Comment 30]

http://hg.mozilla.org/comm-central/rev/5d4e8c23b9b1
Comment 25 Justin Wood (:Callek) 2012-11-18 01:19:21 PST
Comment on attachment 682203 [details] [diff] [review]
Use GetCardForEmail [Checked in: comm-aurora Comment 23, comm-central Comment 24, comm-release Comment 30]

a- since its too late for our final beta, and without answers to the Q's in [Approval Request Comment] I can't consider taking this for final with no testing.
Comment 26 Ian Neal 2012-11-18 03:02:16 PST
Comment on attachment 682203 [details] [diff] [review]
Use GetCardForEmail [Checked in: comm-aurora Comment 23, comm-central Comment 24, comm-release Comment 30]

Re-requesting with answers copied from 1st request (I didn't spot the 2nd request hadn't inherited them):
[Approval Request Comment]
Regression caused by (bug #): 131571
User impact if declined: mail header won't show in certain circumstances
Testing completed (on m-c, etc.): against c-c and c-a
Risk to taking this patch (and alternatives if risky): none
String changes made by this patch: none
Comment 27 Ian Neal 2012-11-18 03:13:28 PST
(In reply to party from comment #17)
> what do I do with this?

Could you check if the sender and/or recipients of one of the effected messages exist in your address book? If so could you tell me if any of them have a "Screen Name" set?
Comment 28 Ian Neal 2012-11-27 14:17:21 PST
Comment on attachment 682203 [details] [diff] [review]
Use GetCardForEmail [Checked in: comm-aurora Comment 23, comm-central Comment 24, comm-release Comment 30]

[Approval Request Comment]
Regression caused by (bug #): 131571
User impact if declined: mail header won't show in certain circumstances
Testing completed (on m-c, etc.): against c-c and c-a and c-b
Risk to taking this patch (and alternatives if risky): none
String changes made by this patch: none
Comment 29 Philip Chee 2012-11-29 08:43:29 PST
Comment on attachment 682203 [details] [diff] [review]
Use GetCardForEmail [Checked in: comm-aurora Comment 23, comm-central Comment 24, comm-release Comment 30]

a=me for comm-release.
Comment 30 Ian Neal 2012-11-29 15:05:42 PST
Comment on attachment 682203 [details] [diff] [review]
Use GetCardForEmail [Checked in: comm-aurora Comment 23, comm-central Comment 24, comm-release Comment 30]

 https://hg.mozilla.org/releases/comm-release/rev/48680ac58e21
Comment 31 party 2012-12-11 09:22:37 PST
a couple of days ago, the email subject header came back and working fine.

Note You need to log in before you can comment on or make changes to this bug.